Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class GetterMethodCouldBePropertyRule

- groovy.org.codenarc.rule.groovyism.GetterMethodCouldBePropertyRule

- If a class defines a public method that follows the Java getter notation and returns a constant, then it is cleaner to provide a Groovy property for the value rather than a Groovy method.

  Authors:
    Hamlet D'Arcy
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority